[P045]Description (Translated)
Receive patent translated description by patent_id or patent_number (support Chinese, English, Japanese)
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | en | translation language, support cn, en, jp |
| string | 1a47a70d-6b54-4709-a72a-ed552781fcac,7353c607-0594-4592-b99e-aea9f517de17 | patent_id |
| string | CN101595528B | patent_number |
| integer<int32> | 0 | When the description of current patent is unavailable, whether to replace it with the description of its family patent?default not to replace: 1. Yes 0: No |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
pn | string | US11205304B2 | patent number |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
pn_related | string | CN103106923A | patent number of related patent (provided only if the substitute is made using the text of the same family patent) |
description | string | technical field[0001] The present invention relates generally to semiconductor memory devices, and more particularly, to non-volatile memory device architectures having various block sizes.Background technique[0002] Memory devices are typically provided as internal, semiconductor, integrated circuits in computers or other electronic devices. There are many different types of memory, including random access memory (RAM), read only memory (ROM), dynamic random access memory (DRAM), synchronous dynamic random access memory (SDRAM), and flash memory.[0003] Flash memory devices have developed into a popular source of non-volatile memory for a wide range of electronic applications. Flash memory devices typically use one-transistor memory cells that allow for high memory density, high reliability, and low power consumption. A change in the threshold voltage of a cell, caused by programming of the charge storage device or trapping layer, or other physical phenomenon, determines the data value of each cell. Common uses for flash memory and other nonvolatile memory include personal computers, personal digital assistants (PDAs), digital cameras, digital media players, digital recorders, games, appliances, vehicles, wireless devices, cellular phones, and Removable memory modules, and the use of non-volatile memory continues to expand.[0004] Flash memory generally utilizes two basic architectures known as NOR flash and NAND flash. The design is derived from the logic used to read the device. In a NOR flash architecture, a column of memory cells is coupled in parallel with each memory cell coupled to a bit line. In a NAND flash architecture, a column of memory cells is coupled in series with only the first memory cell of the column coupled to a bit line.[0005] Flash memory and other non-volatile memory are often grouped into sectors called \"erase blocks.\" Each cell within an erase block can be selectively electrically programmed by altering the threshold voltage of individual cells from an initial state. However, the cells of an erase block are generally erased or restored to their original state in a single operation over the entire block. Any data in the erase block that needs to be held by the memory device must first be copied to another location or buffer before performing the erase operation... | translated description |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"pn_related": "CN103106923A",
"description": "technical field[0001] The present invention relates generally to semiconductor memory devices, and more particularly, to non-volatile memory device architectures having various block sizes.Background technique[0002] Memory devices are typically provided as internal, semiconductor, integrated circuits in computers or other electronic devices. There are many different types of memory, including random access memory (RAM), read only memory (ROM), dynamic random access memory (DRAM), synchronous dynamic random access memory (SDRAM), and flash memory.[0003] Flash memory devices have developed into a popular source of non-volatile memory for a wide range of electronic applications. Flash memory devices typically use one-transistor memory cells that allow for high memory density, high reliability, and low power consumption. A change in the threshold voltage of a cell, caused by programming of the charge storage device or trapping layer, or other physical phenomenon, determines the data value of each cell. Common uses for flash memory and other nonvolatile memory include personal computers, personal digital assistants (PDAs), digital cameras, digital media players, digital recorders, games, appliances, vehicles, wireless devices, cellular phones, and Removable memory modules, and the use of non-volatile memory continues to expand.[0004] Flash memory generally utilizes two basic architectures known as NOR flash and NAND flash. The design is derived from the logic used to read the device. In a NOR flash architecture, a column of memory cells is coupled in parallel with each memory cell coupled to a bit line. In a NAND flash architecture, a column of memory cells is coupled in series with only the first memory cell of the column coupled to a bit line.[0005] Flash memory and other non-volatile memory are often grouped into sectors called \\\"erase blocks.\\\" Each cell within an erase block can be selectively electrically programmed by altering the threshold voltage of individual cells from an initial state. However, the cells of an erase block are generally erased or restored to their original state in a single operation over the entire block. Any data in the erase block that needs to be held by the memory device must first be copied to another location or buffer before performing the erase operation..."
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200001 | API call exceeds the total limit set by the platform! |
67200002 | Quota exceeds the limit! |
67200003 | Access token expired or authentication error! |
67200004 | No permission or API package quota has exceeded the limit! |
67200005 | Insufficient balance, call failed! |
67200006 | This client has expired and call failed! |
67200007 | Exceeded the call limit, call failed! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms